<%
' This script demonstrates the use of the Ciansoft PDFBuilderASP component to write text
' in a PDF document from an ASP script, then display that document in the browser.

Dim Text1
Dim Font1
Dim TextIndex

' Use this line when using the full version of PDFBuilderASP...
' Dim objPDF = Server.CreateObject("PDFBuilderASP.PDFSvrDoc")

' ...or this line when using the trial version of PDFBuilderASP
 Dim objPDF = Server.CreateObject("PDFBuilderASPTrial.PDFSvrDoc")

' Configure the page size, the units of measure and add a single page to the document
objPDF.DefaultPageSize = 1   ' A4 Portrait
objPDF.Units = 3   ' Millimetres
objPDF.AddPage(1)

' Create a text block
Text1 = objPDF.CreateText

' Select a font to be used for the text block.  In this case we will use the Arial font.
' The font file is located in the same directory as this script
' Note that if this file is not found by the script, a default standard font will be used which does
' not support several of the features used below including the TextMaxWidth and TextAlign properties.
Font1 = objPDF.AddFont(Server.MapPath("arial.ttf"))
objPDF.TextFont = Font1

' Set various parameters that will determine how the text is formatted.
' Try editing each of the lines below to change the appearance of the text in the PDF document

' Set the size of the text characters
objPDF.TextSize = 9

' The colour of the text.
' The rgb function is used to specify colours in ASP.NET.  In this case, blue is used.  
objPDF.TextColor = rgb(0, 0, 255)

' The line spacing.  
' This value is the size of the space as a percentage of the height of one line of text
objPDF.TextLineSpacing = 50.0

' The maximum width of the text block.
' Lines of text that would exceed this width will be automatically wrapped to the next line
objPDF.TextMaxWidth = 150.0

' The alignment of the text.
' The text block can be either left (0) or right (2) aligned, or centred (1).
objPDF.TextAlign = 0 

' Write text to the block
objPDF.WriteText("This example shows how to write text to a PDF document using the PDFBuilderASP component.  The current line is quite long and will overflow a single line in the document.  This demonstrated the use of the TextMaxWidth property to achieve word-wrapping.")
objPDF.WriteText("This second line of text is added separately and forms a new paragraph below the first line.")
objPDF.WriteText("More lines can be added.")

' Finally, add the text block to the document on page 1 and position the block
' In this case, the block is positioned 20 mm from the top and 20 mm from the left of the page.
' Note that the Locate command measures position from the bottom left, so the page height 
' is used to calculate the required location
TextIndex = objPDF.ApplyResource(1, Text1)
objPDF.Locate(1, TextIndex, 20.0, objPDF.PageHeight(1) - 20.0)

' Finally, stream the document to the browser for display
objPDF.StreamInline = True
objPDF.StreamFileName = "TextDemo.pdf"

Dim OutArray As Array = objPDF.StreamData
Dim ByteArray(OutArray.Length - 1) As Byte
Array.Copy(OutArray, ByteArray, OutArray.Length)
Response.ContentType = "application/pdf"
Response.AddHeader("Content-Disposition", "inline; filename=TextDemo.pdf")
Response.BinaryWrite(ByteArray)

%>